Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts.maven
Interface GroovyMavenDeployer

All Superinterfaces:
  org.apache.ivy.plugins.resolver.DependencyResolver, MavenDeployer, MavenResolver, PomFilterContainer

    public interface GroovyMavenDeployer

extends MavenDeployer

Adds Groovy configuration convenience methods on top of the `MavenDeployer`. This class provides also a builder for repository and snapshot-repository:

     mavenUploader.repository(url: 'file://repoDir') {
        authentication(userName: 'myName')
        releases(updatePolicy: 'never')
        snapshots(updatePolicy: 'always')
     }

This call set the repository object and also returns an instance of this object. If you use 'snapshotRepository' instead of repository, the snapshot repository is build.

See Also:
  `MavenDeployer`

Field Summary

Fields inherited from interface org.gradle.api.artifacts.maven.PomFilterContainer
`DEFAULT_ARTIFACT_POM_NAME`

Method Summary

Methods inherited from interface org.gradle.api.artifacts.maven.MavenDeployer
`addProtocolProviderJars, getRepository, getSnapshotRepository, isUniqueVersion, setRepository, setSnapshotRepository, setUniqueVersion`

Methods inherited from interface org.gradle.api.artifacts.maven.MavenResolver
`getSettings`

Methods inherited from interface org.apache.ivy.plugins.resolver.DependencyResolver
`abortPublishTransaction, beginPublishTransaction, commitPublishTransaction, download, download, dumpSettings, exists, findIvyFileRef, getDependency, getName, getNamespace, getRepositoryCacheManager, listModules, listOrganisations, listRevisions, listTokenValues, listTokenValues, locate, publish, reportFailure, reportFailure, setName, setSettings`

Methods inherited from interface org.gradle.api.artifacts.maven.PomFilterContainer
`addFilter, filter, getActivePomFilters, getFilter, getPom, pom, setFilter, setPom`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD